// Run example:
//		cscript melody.js melodies\raising.melody melody.bat

/*
half-
tone	note	freq
0		do		440
1		do#		466.1637615180899
2		re		493.8833012561241
3		re#		523.2511306011972
4		mi		554.3652619537441
5		fa		587.3295358348151
6		fa#		622.2539674441618
7		sol		659.2551138257398
8		sol#	698.4564628660078	
9		la		739.9888454232688
10		la#		783.9908719634985
11		si		830.6093951598902
12		do2		880


Tone Freq = 440 * 2^(halftone/12)

*/
var d = 0
var dx = 1
var r = 2
var rx = 3
var m = 4
var f = 5
var fx = 6
var so = 7
var sx = 8
var l = 9
var lx = 10
var si = 11
var d2 = 12

//for (i = 0; i < 13; i++) WScript.echo(i + ". " + 440 * Math.pow(2, i/12))

if (WScript.Arguments.length < 2) {
	WScript.echo("usage: " + WScript.scriptName + " <in melody file> <out batch file>");
	WScript.Quit(0);
}

var fso = WScript.CreateObject("Scripting.FileSystemObject");
var rd = fso.OpenTextFile(WScript.Arguments(0), 1 /*ForReading*/) 
var wr = fso.CreateTextFile(WScript.Arguments(1), true)
wr.WriteLine("call concp");

var re = /(-?\w+)\s+(\d+(?:\/\d+)?)/
while (!rd.AtEndOfStream)
	if (re.exec(rd.ReadLine()) != null) {
		//WScript.echo(RegExp.$1 + ", " + RegExp.$2);
		wr.WriteLine("java Console -a 1 -f " + 440 * Math.pow(2, eval(RegExp.$1)/12) 
			+ " -d " + 8.001/eval(RegExp.$2));
		}

		
// allows joint (spaceless) writing of note and duration
// var re = /(?:(-?\w*))(?:(\d)\s|([a-zA-Z]))\s*(\d+(?:\/\d+)?)/
// 		wr.WriteLine("java Console -a 1 -f " + 440 * Math.pow(2, eval(RegExp.$1 + RegExp.$2 + RegExp.$3)/12) 
// 			+ " -d " + 8.001/eval(RegExp.$4));


wr.close()
rd.close()


