//package floatmodel;


/*
ToDo: true floating slider, which has continous scale. Conventional slider has 
	finite number of grades (points we can swith between). The floating 
	slider's number of grades must be maximal, that is equal to the screen 
	length of the control. 
 
	The Slider would select a point or a range. The number of ranges/points
	can be finite or max-available (point-length of the slider cisual 
	control).
*/

import javax.swing.event.*;

/**This is calque from BoundedRangeModel. Peahaps it should be 
	extend by 'inclusive' interval flags. That is, (min, max) and (val, 
	val+ext) can be open or closed. Setting extent to 0 means single value.*/
public interface FloatBoundedRangeModel {
	
    float getMinimum();
    void setMinimum(float newMinimum);
    
    float getMaximum();
    void setMaximum(float newMaximum);
    
    float getValue();
    void setValue(float newValue);
    
    void setValueIsAdjusting(boolean b);
    boolean getValueIsAdjusting();
  
    float getExtent();
    void setExtent(float newExtent);
    
    public void setRangeProperties(float value, float extent, float min, float max, boolean adjusting);


    void addChangeListener(ChangeListener x);
    void removeChangeListener(ChangeListener x);

}
