class Demo {
	
	public static void main(String[] args) {
		
		
		javax.swing.SwingUtilities.invokeLater(new Runnable() { 
			public void run() { 
				
				// create the window
				final FloatTitleEditFrame frame = new FloatTitleEditFrame("TopLevelDemo");
				final FloatTitleEditFrame.Slider sl1 = frame.new Slider(0, 2000, 440, 3001.5f, "Manual freq = ") {
					public String formatValue() {
						return "Freq = " + value + " Hz";
					}
				};
				sl1.addChangeListener(new ChangeListener() {
					public void stateChanged(ChangeEvent e) {
						System.out.println("changed to " + sl1.getExactValue());
						//Slider src = (Slider) e.getSource();
					}
				});
				// appent first editable slider		
				frame.getContentPane().add(sl1, BorderLayout.NORTH);
	
		
		
				// append usual slider
				final JSlider sl2 = new JSlider(JSlider.HORIZONTAL, 0, 200, 190);
				frame.getContentPane().add(sl2, BorderLayout.CENTER); 
				sl2.addChangeListener(new ChangeListener() {
					public void stateChanged(ChangeEvent e) {
						frame.setTitle("ampl = " + sl2.getValue());
					}
				});
				
				//Display the window. 
				frame.pack(); 
				frame.setVisible(true);

			} 
		}); 
	}
}